---
document: modulemd
version: 2
data:
  name: idm
  stream: "DL1"
  version: 8090020231020105815
  context: 93c20af6
  arch: i686
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server-trust-ad
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
      - ipa-server-dns
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: 5fb2c86a74dd5ca995957e55b7efeb423601af29
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: f40864b72e3bf4c18322ef5bb013781cca8edd1a
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa:
        rationale: Module API
        ref:
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: e9c03312a7ad18dca22a9d10a05acadc936f24a7
        buildorder: 3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: c465531c934e770045fd9690da4a671505ad494e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: 29d6805cfbc0c24bfe46bac39300af200e2f5a35
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: 7f6f9f9ca231c995fab47e5ad775a811a06e94a9
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: a9c70afaf72dc925d52f8dec7901b9e003bf25f2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: 6b3566989de11a7dfa195670c475bc8f31588f53
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: e6c2b9e0653c94e5bdd6c966004e4fa376d064f4
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: cc562894a7db98eb9d32c6d54f0e1fa0325cf364
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: 4f1d57d6cdecd13a28ff2fb84b090be1c48f0485
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - bind-dyndb-ldap-0:11.6-4.module_el8.6.0+3339+9b5fdd22.i686
    - bind-dyndb-ldap-0:11.6-4.module_el8.6.0+3339+9b5fdd22.src
    - bind-dyndb-ldap-debuginfo-0:11.6-4.module_el8.6.0+3339+9b5fdd22.i686
    - bind-dyndb-ldap-debugsource-0:11.6-4.module_el8.6.0+3339+9b5fdd22.i686
    - custodia-0:0.6.0-3.module_el8.6.0+2881+2f24dc92.noarch
    - custodia-0:0.6.0-3.module_el8.6.0+2881+2f24dc92.src
    - ipa-0:4.9.12-8.module_el8.9.0+3658+41f0607d.src
    - ipa-client-0:4.9.12-8.module_el8.9.0+3658+41f0607d.i686
    - ipa-client-common-0:4.9.12-8.module_el8.9.0+3658+41f0607d.noarch
    - ipa-client-debuginfo-0:4.9.12-8.module_el8.9.0+3658+41f0607d.i686
    - ipa-client-epn-0:4.9.12-8.module_el8.9.0+3658+41f0607d.i686
    - ipa-client-samba-0:4.9.12-8.module_el8.9.0+3658+41f0607d.i686
    - ipa-common-0:4.9.12-8.module_el8.9.0+3658+41f0607d.noarch
    - ipa-debugsource-0:4.9.12-8.module_el8.9.0+3658+41f0607d.i686
    - ipa-healthcheck-0:0.12-3.module_el8.9.0+3651+d05ea4c5.noarch
    - ipa-healthcheck-0:0.12-3.module_el8.9.0+3651+d05ea4c5.src
    - ipa-healthcheck-core-0:0.12-3.module_el8.9.0+3651+d05ea4c5.noarch
    - ipa-python-compat-0:4.9.12-8.module_el8.9.0+3658+41f0607d.noarch
    - ipa-selinux-0:4.9.12-8.module_el8.9.0+3658+41f0607d.noarch
    - opendnssec-0:2.1.7-1.module_el8.6.0+2881+2f24dc92.i686
    - opendnssec-0:2.1.7-1.module_el8.6.0+2881+2f24dc92.src
    - opendnssec-debuginfo-0:2.1.7-1.module_el8.6.0+2881+2f24dc92.i686
    - opendnssec-debugsource-0:2.1.7-1.module_el8.6.0+2881+2f24dc92.i686
    - python-jwcrypto-0:0.5.0-1.1.module_el8.7.0+3349+cfeff52e.src
    - python-kdcproxy-0:0.4-5.module_el8.8.0+3611+265d7112.src
    - python-qrcode-0:5.1-12.module_el8.6.0+2881+2f24dc92.src
    - python-yubico-0:1.3.2-9.1.module_el8.7.0+3349+cfeff52e.src
    - python3-custodia-0:0.6.0-3.module_el8.6.0+2881+2f24dc92.noarch
    - python3-ipaclient-0:4.9.12-8.module_el8.9.0+3658+41f0607d.noarch
    - python3-ipalib-0:4.9.12-8.module_el8.9.0+3658+41f0607d.noarch
    - python3-ipatests-0:4.9.12-8.module_el8.9.0+3658+41f0607d.noarch
    - python3-jwcrypto-0:0.5.0-1.1.module_el8.7.0+3349+cfeff52e.noarch
    - python3-kdcproxy-0:0.4-5.module_el8.8.0+3611+265d7112.noarch
    - python3-pyusb-0:1.0.0-9.1.module_el8.7.0+3349+cfeff52e.noarch
    - python3-qrcode-0:5.1-12.module_el8.6.0+2881+2f24dc92.noarch
    - python3-qrcode-core-0:5.1-12.module_el8.6.0+2881+2f24dc92.noarch
    - python3-yubico-0:1.3.2-9.1.module_el8.7.0+3349+cfeff52e.noarch
    - pyusb-0:1.0.0-9.1.module_el8.7.0+3349+cfeff52e.src
    - slapi-nis-0:0.60.0-3.module_el8.9.0+3658+41f0607d.src
    - softhsm-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.i686
    - softhsm-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.src
    - softhsm-debuginfo-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.i686
    - softhsm-debugsource-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.i686
    - softhsm-devel-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.i686
...
---
document: modulemd
version: 2
data:
  name: idm-devel
  stream: "DL1"
  version: 8090020231020105815
  context: 93c20af6
  arch: i686
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      389-ds: [1.4]
      httpd: [2.4]
      idm: [DL1]
      pki-core: [10.6]
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server-trust-ad
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
      - ipa-server-dns
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: 5fb2c86a74dd5ca995957e55b7efeb423601af29
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: f40864b72e3bf4c18322ef5bb013781cca8edd1a
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa:
        rationale: Module API
        ref:
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: e9c03312a7ad18dca22a9d10a05acadc936f24a7
        buildorder: 3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: c465531c934e770045fd9690da4a671505ad494e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: 29d6805cfbc0c24bfe46bac39300af200e2f5a35
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: 7f6f9f9ca231c995fab47e5ad775a811a06e94a9
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: a9c70afaf72dc925d52f8dec7901b9e003bf25f2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: 6b3566989de11a7dfa195670c475bc8f31588f53
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: e6c2b9e0653c94e5bdd6c966004e4fa376d064f4
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: cc562894a7db98eb9d32c6d54f0e1fa0325cf364
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: 4f1d57d6cdecd13a28ff2fb84b090be1c48f0485
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
